Patch Enrichment Provider
curl --request PATCH \
--url https://api.example.com/v1/enrichment-providers/{provider_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"is_active": true,
"supported_indicator_types": [
"<string>"
],
"http_config": {},
"auth_type": "<string>",
"auth_config": {},
"default_cache_ttl_seconds": 43200,
"cache_ttl_by_type": {},
"malice_rules": {}
}
'import requests
url = "https://api.example.com/v1/enrichment-providers/{provider_uuid}"
payload = {
"display_name": "<string>",
"description": "<string>",
"is_active": True,
"supported_indicator_types": ["<string>"],
"http_config": {},
"auth_type": "<string>",
"auth_config": {},
"default_cache_ttl_seconds": 43200,
"cache_ttl_by_type": {},
"malice_rules": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
description: '<string>',
is_active: true,
supported_indicator_types: ['<string>'],
http_config: {},
auth_type: '<string>',
auth_config: {},
default_cache_ttl_seconds: 43200,
cache_ttl_by_type: {},
malice_rules: {}
})
};
fetch('https://api.example.com/v1/enrichment-providers/{provider_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"display_name": "<string>",
"is_builtin": true,
"is_active": true,
"supported_indicator_types": [
"<string>"
],
"http_config": {},
"auth_type": "<string>",
"default_cache_ttl_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"has_credentials": false,
"is_configured": false,
"env_var_mapping": {},
"cache_ttl_by_type": {},
"malice_rules": {}
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Enrichment Providers
Update Enrichment Provider
PATCH
/
v1
/
enrichment-providers
/
{provider_uuid}
Patch Enrichment Provider
Path Parameters
Body
application/json
Request body for PATCH /v1/enrichment-providers/{uuid}.
Required string length:
1 - 200Required range:
0 <= x <= 86400Show child attributes
Show child attributes
⌘I

